fai-mirror(1)

NAME
fai-mirror - create and manage a partial mirror for FAI

SYNOPSIS
fai-mirror [OPTION]... DIRECTORY

DESCRIPTION
This command creates a partial mirror of Debian packages. It can be used to create the fai CD or as a local mirror when you can't download the whole Debian mirror. By default the mirror will contain all packages of all classes used in the configuration space (/srv/fai/config/package_config).

OPTIONS

-a ARCH
    Download packages from architecture ARCH. If not specified, use native architecture of host.

-B  Do not add packages included in base.tar.xz and packages defined in /etc/fai/NFSROOT to the mirror. By default all these packages are included in the mirror. This will explicitly remove packages from the mirror that are already in base.tar.xz.

-b  Create the mirror only from packages names in /srv/fai/config. Do not include packages from /etc/fai/NFSROOT, but also do not remove packages that are in base.tar.xz. This is useful if your partitial mirror does not match the Linux distribution of the nfsroot, or if you do not have a nfsroot yet.

-C CFDIR
    Use CFDIR as the configuration directory. Default is /etc/fai. You can also set the environment variable FAI_ETC_DIR.

-c CLASS[,CLASS]
    Use only this list of classes for building the mirror. Can't be used in conjunction with -x.

-h  Show simple help and version.

-m MAX
    Set the number of packages to NUM. This overwrites the variable MAXPACKAGES.

-x CLASS[,CLASS]
    Exclude these classes. Do not add the packages of these classes to the mirror.

-P  FILE
    Copy an APT preferences file into the cache config before creating the mirror. Using this you can set pin priority for packages to a certain release.

-p  Preserve existing sources.list. NOT YET IMPLEMENTED.

-v  Create verbose output.

EXAMPLES
   # fai-mirror -v /files/scratch/mirror Creates a partial mirror in the directory /files/scratch/mirror using all classes.
   # fai-mirror -v -cDEFAULT,DEMO /debmirror Creates a partial mirror containing all packages used in the classes DEFAULT and DEMO.
   # fai-mirror -v -cDEFAULT,AMD64 /srv/debmirror-amd64 Will create a mirror including packages for amd64 architecture defined for classes DEFAULT and AMD64. You can also run this on a non amd64 host.

NOTES
You only need root permissions if you access the official Debian mirror via NFS. By default, the variable MAXPACKAGES is set to 1, so conflicting packages can also be added to the mirror. Setting this to a higher number (e.g. 99999) reduces the time for creating the mirror, but some packages may be missing.

SEE ALSO
This program is part of FAI (Fully Automatic Installation). The FAI homepage is http://fai-project.org.

fai-make-nfsroot(8), install_packages(8)

FILES
The FAI configuration file.
The FAI configuration file for the nfsroot.
Package resource definition for FAI.
The FAI package configuration directory. This directory is defined by
    the variable FAI_CONFIGDIR.
The list of packages included in base.tar.xz inside the nfsroot.
Additional packages that were added to the nfsroot by the
    configuration file /etc/fai/NFSROOT.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>